/* HERO */
.hero {
  height: 100vh;
  background-image: url("../img/gallery/gallery11.JPG");
  background-size: cover;
  background-position: center;
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

@media (max-width: 768px) {
  .hero {
    background-image: url("../img/banner_mobile.png");
    background-position: center;
  }
  .hero::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
      to bottom,
      rgba(0,0,0,0.1) 10%,
      rgba(0,0,0,0.1) 20%,
      rgba(0,0,0,0.2) 100%
    );
    z-index: 1;
  }

  .hero-content {
    position: relative;
    z-index: 2;
  }

  .hero::after {
    content: "";
    position: absolute;
    inset: 0;
    background: radial-gradient(
      circle at center,
      rgba(229,9,20,0.25),
      transparent 70%
    );
    mix-blend-mode: screen;
    z-index: 1;
  }

  .hero-content h1 {
    text-shadow: 0 0 25px rgba(0,0,0,0.8);
  }
  
}


.gallery-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 15px;
}

.gallery-item {
  position: relative;
  overflow: hidden;
}

.gallery-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.6s;
  filter: brightness(0.8);
}

.gallery-item:hover img {
  transform: scale(1.1);
  filter: brightness(1);
}

/* tamaños */

.gallery-item.big {
  grid-column: span 2;
  grid-row: span 2;
}

.gallery-item.wide {
  grid-column: span 2;
}

.member-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 8px;
}

.member-grid img {
  width: 100%;
  height: auto;
  object-fit: contain;
  filter: brightness(0.85);
  transition: 0.4s;
}

.member-grid img:hover {
  transform: scale(1.05);
  filter: brightness(1);
}

@media (max-width: 768px) {

  .gallery-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
  }

  .gallery-item {
    width: 100%;
    margin: 0;
    grid-column: auto !important;
    grid-row: auto !important;
  }

  .gallery-item.big,
  .gallery-item.wide {
    grid-column: auto !important;
    grid-row: auto !important;
  }

  .gallery-item img {
    width: 100%;
    height: auto;
    object-fit: contain;
    display: block;
  }

}